<?
 require_once($_path["include"]."module.php");

 class Plugin_Module_pdns_domainmetadata extends Module
 {
  function __construct(&$data)
  {
   global $_path;

   parent::__construct($data);

   $this->data->title="PowerDNS Domain Meta Data";

   $this->data->addField("id", "nr", "all", "identifier", 1, false, 0, "ID");

   $this->data->addField("domain_id", "nr", "all", "", 1, false, 0, "Domain");
   $this->data->addReference("domain_id", "pdns_domains", "id", "*:1");

   $this->data->addField("kind", "text", "all", "title", 1, 32, false, "Kind");
   $this->data->addField("content", "text", "all", "", 0, 64000, false, "Content");


   $this->data->addUnique("domainmetadata_idx", "domain_id", "kind");

   $this->data->sortOrder("domain_id", "kind");
  }
 }
?>
